-- Only non-interactive / non-blocking jBASE jShell commands

-- test the ssh connection
TIME
echo $PWD

-- creation of the remote dir required by jBASE jBC IDE
-- don't modify directory's name
CREATE.FILE DATA jbcCodeSnippets.BP TYPE=UD


-- jBASE commands for compilation and cataloguing of jBC subroutines
BASIC -v -w3 -IGLOBUS.BP jbcCodeSnippets.BP EvalCodeSnippet
CATALOG jbcCodeSnippets.BP EvalCodeSnippet

BASIC -v -w3 -IGLOBUS.BP jbcCodeSnippets.BP CallSubForTesting
CATALOG jbcCodeSnippets.BP CallSubForTesting

-- Display compile time and source file
jshow -c CallSubForTesting
jshow -c EvalCodeSnippet

-- list directory contents filtered
LIST jbcCodeSnippets.BP NE '$]' *A0 FMT '50L' BY *A0 HDR-SUPP (IN

-- double quotes need to be escaped with: \
LIST jbcCodeSnippets.BP NE \"$]\" *A0 FMT \"50L\" BY *A0 HDR-SUPP (IN

-- T24 program for compilation and cataloguing of jBC subroutines
EB.COMPILE jbcCodeSnippets.BP CallSubForTesting

-- Remove subroutine object code from library
DECATALOG jbcCodeSnippets.BP CallSubForTesting

-- Display information about jBASE installation
jdiag

-- list $HOME directory contents filtered
LIST . NE '&]' AND NE '.]' AND NE '[]D' BY *A0 COL-HDR-SUPP (N
LIST . # '&]' & # '.]' & # '[]D' BY *A0 COL-HDR-SUPP (N

-- copy records from a specified file to the terminal
COPY jbcCodeSnippets.BP CallSubForTesting (TN
COPY jbcCodeSnippets.BP EvalCodeSnippet (TN

-- Some Linux / Unix commands accepted at the jShell prompt
ls jbcCodeSnippets.BP -a1
find ./jbcCodeSnippets.BP -type f -name *
ls .
env
set
echo $PWD


-- Start of clean-up commands

LIST jbcCodeSnippets.BP BY *A0 (N

DECATALOG jbcCodeSnippets.BP Show.i18nMsg
DECATALOG jbcCodeSnippets.BP SubWithTwoParameters
DECATALOG jbcCodeSnippets.BP CodeSnippet1

EDELETE jbcCodeSnippets.BP EQ $Show.i18nMsg $SubWithTwoParameters $CodeSnippet1
EDELETE jbcCodeSnippets.BP EQ Show.i18nMsg SubWithTwoParameters CodeSnippet1

DECATALOG jbcCodeSnippets.BP CallSubForTesting
DECATALOG jbcCodeSnippets.BP EvalCodeSnippet
EDELETE jbcCodeSnippets.BP EQ $CallSubForTesting $EvalCodeSnippet CallSubForTesting EvalCodeSnippet

DELETE.FILE DATA jbcCodeSnippets.BP

-- End of clean-up commands
